*******
**PROGRAMA PARA REALIZAR PRUEBAS DE BALANCE DE MEDIAS
**EVALUACION PREP 2012
**DR. RAYMUNDO M. CAMPOS VAZQUEZ
*******

clear all
set more off
set rmsg on
set mem 1000m 
set matsize 2000
set seed 12345

************
****FOLDERS
************
**Nombramos el directorio con el que se realizar el trabajo*
global NDATA="C:\Users\Raymundo Campos\Dropbox\Firm_Experiment\PREP\NEW DATA\"
global DATA="C:\Users\Raymundo Campos\Dropbox\Firm_Experiment\PREP\data\"
global prog="C:\Users\Raymundo Campos\Dropbox\Firm_Experiment\PREP\DO\"
global log="C:\Users\Raymundo Campos\Dropbox\Firm_Experiment\PREP\log\"
global graph="C:\Users\Raymundo Campos\Dropbox\Firm_Experiment\PREP\GRAFICAS\"


use "$data_new\PREP_Final.dta", replace

*Se genera identificador para comparacion de medias*
gen stat1=.
replace stat1=1 if ao_encuesta==10 & tiempo==1
replace stat1=0 if ao_encuesta==10 & tiempo==0


gen media1=0
gen media2=0
gen diferencia=0

*Se genera Pruba T de medias*
local i =  1
while  `i' <=6 {
foreach var of varlist  total_pobtot pobmas pobfem pobent pobind ///// 
pob611no pea ocupada pob15ans pobsisal pobcasada pobcatol hogjefem /////
vivpitierra vivsinbien vivauto vivelec vivag vivdren{ 
ttest `var', by(stat1) unequal
replace media1=r(mu_1) in `i'
replace media2=r(mu_2)  in `i'
replace diferencia=r(mu_1)-r(mu_2)  in `i'
local d= `i'+1
replace media1=r(sd_1)/(r(N_1))^(1/2)  in `d'
replace media2=r(sd_2)/(r(N_2))^(1/2)  in `d'
replace diferencia=r(se)  in `d'
local i= `i' + 2
}
}
*Se genera identificador para comparacion de medias*
gen stat21=.
replace stat21=1 if ao_encuesta==11 & tiempo==1
replace stat21=0 if ao_encuesta==11 & tiempo==0


local i =  1
while  `i' <=38 {
foreach var of varlist  total_pobtot pobmas pobfem pobent pobind /////
pob611no pea ocupada pob15ans pobsisal pobcasada pobcatol hogjefem /////
vivpitierra vivsinbien vivauto vivelec vivag vivdren{ 
ttest `var', by(stat21) unequal
replace media1=r(mu_1) in `i'
replace media2=r(mu_2)  in `i'
replace diferencia=r(mu_1)-r(mu_2)  in `i'
local d= `i'+1
replace media1=r(sd_1)/(r(N_1))^(1/2)  in `d'
replace media2=r(sd_2)/(r(N_2))^(1/2)  in `d'
replace diferencia=r(se)  in `d'
local i= `i' + 2
}
}
*Se genera identificador para comparacion de medias*
gen stat22=.
replace stat22=1 if ao_encuesta==11 & tiempo==2
replace stat22=0 if ao_encuesta==11 & tiempo==0


local i =  1
while  `i' <=38 {
foreach var of varlist  total_pobtot pobmas pobfem pobent pobind ////
pob611no pea ocupada pob15ans pobsisal pobcasada pobcatol hogjefem vivpitierra /////
 vivsinbien vivauto vivelec vivag vivdren{ 
ttest `var', by(stat22) unequal
replace media1=r(mu_1) in `i'
replace media2=r(mu_2)  in `i'
replace diferencia=r(mu_1)-r(mu_2)  in `i'
local d= `i'+1
replace media1=r(sd_1)/(r(N_1))^(1/2)  in `d'
replace media2=r(sd_2)/(r(N_2))^(1/2)  in `d'
replace diferencia=r(se)  in `d'
local i= `i' + 2
}
}


*se genera identificador para comparar medias de montos*
gen stat01= 1 if ao==2010
replace stat01=0 if ao==2009
ttest gasto0, by (stat01) unequal

gen stat02=1 if ao==2010
replace stat02=0 if ao==2011
ttest gasto0, by (stat02) unequal

ttest gasto1, by (stat01) unequal

*se Genera identificador para comparar medias de variables municipales*
ttest   ndicederezagosocial, by (stat1) unequal
ttest   poblacintotal, by (stat1) unequal

ttest  ndicederezagosocial,by (stat21) unequal
ttest   poblacintotal, by (stat21) unequal

ttest    ndicederezagosocial, by (stat22) unequal
ttest   poblacintotal, by (stat22) unequal


*Se procede ha realizar lo mismo con diferente informacion Se genera Pruba T de medias*
local i =  1
while  `i' <=6 {
foreach var of varlist  total_pobtot pobmas pobfem pobind ///// 
 pea ocupada  pobcatol  /////
vivpitierra vivsinbien { 
ttest `var' if  CANCELAD==0, by(stat1) unequal
replace media1=r(mu_1) in `i'
replace media2=r(mu_2)  in `i'
replace diferencia=r(mu_1)-r(mu_2)  in `i'
local d= `i'+1
replace media1=r(sd_1)/(r(N_1))^(1/2)  in `d'
replace media2=r(sd_2)/(r(N_2))^(1/2)  in `d'
replace diferencia=r(se)  in `d'
local i= `i' + 2
}
}


local i =  1
while  `i' <=6 {
foreach var of varlist  total_pobtot pobmas pobfem pobind ///// 
 pea ocupada  pobcatol  /////
vivpitierra vivsinbien { 
ttest `var' if  CANCELAD==0, by(stat21) unequal
replace media1=r(mu_1) in `i'
replace media2=r(mu_2)  in `i'
replace diferencia=r(mu_1)-r(mu_2)  in `i'
local d= `i'+1
replace media1=r(sd_1)/(r(N_1))^(1/2)  in `d'
replace media2=r(sd_2)/(r(N_2))^(1/2)  in `d'
replace diferencia=r(se)  in `d'
local i= `i' + 2
}
}

local i =  1
while  `i' <=6 {
foreach var of varlist  total_pobtot pobmas pobfem pobind ///// 
 pea ocupada  pobcatol  /////
vivpitierra vivsinbien { 
ttest `var' if  CANCELAD==0, by(stat22) unequal
replace media1=r(mu_1) in `i'
replace media2=r(mu_2)  in `i'
replace diferencia=r(mu_1)-r(mu_2)  in `i'
local d= `i'+1
replace media1=r(sd_1)/(r(N_1))^(1/2)  in `d'
replace media2=r(sd_2)/(r(N_2))^(1/2)  in `d'
replace diferencia=r(se)  in `d'
local i= `i' + 2
}
}

